'use strict';

/** Get controllers */
const localeController = require('../controllers/locale');

/**
 * User Profile routes
 * You can see user profile
 *
 * @param {Router} - express router
 */
module.exports = function (router) {
	/**
	 * User profile navigation
	 * @param {string} permalink - A unique sequence of characters used to identify a user
	 */
	router.route('/set-locale/:locale')
		/** GET /i/:permalink - Film info navigation */
		.get(localeController.localeSet);

	return router;
}
